petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscRandomSetType

Builds a context for generating particular type of random numbers.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomSetType(PetscRandom rnd, PetscRandomType type)

Collective on PetscRandom

### Input Parameters

| rnd | - The random number generator context
| type | - The name of the random type

### Options Database Key

-random_type <type> -Sets the random type; use -help for a list of available types

### Notes

See "petsc/include/petscsys.h" for available random types (for instance, PETSCRAND48, PETSCRAND).

### See Also

PetscRandomGetType(), PetscRandomCreate()

### Level

intermediate

### Location

src/sys/classes/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages